services:
  wem.personal_data_manager.service.personal_data_manager:
    class: WEM\PersonalDataManagerBundle\Service\PersonalDataManager
    arguments:
      $csvFormatter: '@wem.personal_data_manager.service.personal_data_manager_csv_formatter'
      $encryption: '@wem.encryption_util'
    public: true

  wem.personal_data_manager.service.personal_data_manager_csv_formatter:
    class: WEM\PersonalDataManagerBundle\Service\PersonalDataManagerCsvFormatter
    arguments:
      $translator: '@contao.translation.translator'
      $encryption: '@wem.encryption_util'
    public: true

  wem.personal_data_manager.service.personal_data_manager_ui:
    class: WEM\PersonalDataManagerBundle\Service\PersonalDataManagerUi
    arguments:
      $translator: '@contao.translation.translator'
      $manager: '@wem.personal_data_manager.service.personal_data_manager'
      $encryption: '@wem.encryption_util'
    public: true

  wem.personal_data_manager.service.personal_data_manager_action:
    class: WEM\PersonalDataManagerBundle\Service\PersonalDataManagerAction
    arguments:
      $translator: '@contao.translation.translator'
      $manager: '@wem.personal_data_manager.service.personal_data_manager'
    public: true

  wem.personal_data_manager.dca.field.callback.load:
    class: WEM\PersonalDataManagerBundle\Dca\Field\Callback\Load
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
      $frontendField: ''
      $table: ''
    public: true

  wem.personal_data_manager.dca.field.callback.save:
    class: WEM\PersonalDataManagerBundle\Dca\Field\Callback\Save
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
      $frontendField: ''
      $table: ''
    public: true

  wem.personal_data_manager.dca.listing.callback.list_label_label_for_list:
    class: WEM\PersonalDataManagerBundle\Dca\Listing\Callback\ListLabelLabelForList
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
    public: true

  wem.personal_data_manager.dca.listing.callback.list_label_group:
    class: WEM\PersonalDataManagerBundle\Dca\Listing\Callback\ListLabelGroup
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
    public: true

  wem.personal_data_manager.dca.config.callback.delete:
    class: WEM\PersonalDataManagerBundle\Dca\Config\Callback\Delete
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
    public: true

  wem.personal_data_manager.dca.config.callback.show:
    class: WEM\PersonalDataManagerBundle\Dca\Config\Callback\Show
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
    public: true

  wem.personal_data_manager.dca.config.callback.submit:
    class: WEM\PersonalDataManagerBundle\Dca\Config\Callback\Submit
    arguments:
      $personalDataManager: '@wem.personal_data_manager.service.personal_data_manager'
    public: true